SuperCollider CLASSES
UGens>Buffer>Info

# BufRateScale

Buffer rate scaling in respect to server samplerate.
Source: /Applications/SuperCollider.app/Contents/Resources/SCClassLibrary/Common/Audio/InfoUGens.sc
Inherits from: BufInfoUGenBase : UGen : AbstractFunction : Object
See also: BufChannels, BufDur, BufFrames, BufSampleRate, BufSamples

## Description

Returns a ratio by which the playback of a soundfile is to be scaled.

## Class Methods

### *kr (bufnum)

From superclass: BufInfoUGenBase

### *ir (bufnum)

From superclass: BufInfoUGenBase

#### Arguments:

bufnum | Buffer index.

#### Returns:

a ratio by which the playback of a soundfile is to be scaled.

#### Discussion:

WARNING: The `.ir` method is not the safest choice. Since a buffer can be reallocated at any time, using `.ir` will not track the changes.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

    b = Buffer.read(s, Platform.resourceDir +/+ "sounds/a11wlk01.wav");

    (
    x = { arg rate=1;
        BufRd.ar(1, b, Phasor.ar(0, BufRateScale.kr(b) * rate, 0, BufFrames.kr(b)))
    }.play;
    )

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/BufRateScale.schelp
link::Classes/BufRateScale::
sc version: 3.8.0